bitel.billing.server.bill.bean

## Class TemplateBill

- java.lang.Object
- - bitel.billing.server.bill.bean.TemplateBill

-     public class TemplateBill
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateBill()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContractComment()`
    `int` | `getContractDocTypeId()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `int` | `getDocTypeId()`
    `java.lang.String` | `getDocTypeTitle()`
    `java.util.List<PositionValue>` | `getPositionList()`
    `java.util.List<TemplateBill>` | `getSubBillList()`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractDocTypeId(int value)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String title)`
    `void` | `setDocTypeId(int docTypeId)`
    `void` | `setDocTypeTitle(java.lang.String docTypeTitle)`
    `void` | `setPositionList(java.util.List<PositionValue> positionList)`
    `void` | `setSubBillList(java.util.List<TemplateBill> subBillList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateBill

          public TemplateBill()

  - ### Method Detail

    - #### getPositionList

          public java.util.List<PositionValue> getPositionList()

    - #### setPositionList

          public void setPositionList(java.util.List<PositionValue> positionList)

    - #### getContractDocTypeId

          public int getContractDocTypeId()

    - #### setContractDocTypeId

          public void setContractDocTypeId(int value)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String title)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getDocTypeId

          public int getDocTypeId()

    - #### setDocTypeId

          public void setDocTypeId(int docTypeId)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getSubBillList

          public java.util.List<TemplateBill> getSubBillList()

    - #### setSubBillList

          public void setSubBillList(java.util.List<TemplateBill> subBillList)

    - #### getDocTypeTitle

          public java.lang.String getDocTypeTitle()

    - #### setDocTypeTitle

          public void setDocTypeTitle(java.lang.String docTypeTitle)